Runtime

## org.eclipse.gmf.runtime.draw2d.ui.graph
Class GMFDirectedGraphLayout

    java.lang.Object
      org.eclipse.draw2d.graph.DirectedGraphLayout
          org.eclipse.gmf.runtime.draw2d.ui.graph.GMFDirectedGraphLayout

    public class GMFDirectedGraphLayout

extends DirectedGraphLayout

Implementation of the lLayout algorithm that:

- Preserves the node sizes
- Routes edges around the nodes
- Accounts for the edge routing style
- Lays out border nodes
- Pads edges end points

  Constructor Summary
  `GMFDirectedGraphLayout()`

  Method Summary
  `void` `postProcessGraph(DirectedGraph graph)` Performs layout work after Draw2D DGL completes
  `void` `visit(DirectedGraph graph)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### GMFDirectedGraphLayout

      public GMFDirectedGraphLayout()

  Method Detail

  ### visit

      public void visit(DirectedGraph graph)

    Overrides:
      `visit` in class `DirectedGraphLayout`

  ### postProcessGraph

      public void postProcessGraph(DirectedGraph graph)

    Performs layout work after Draw2D DGL completes

    Parameters:
      `graph` - the directed graph

  Runtime

  Guidelines for using Eclipse APIs.

  Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.